Webhooks

Webhooks are used to notify external systems of changes within Struct PIM through a web request

Get a webhook

get

#Available from v.3.11.0

Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of webhook

Responses
chevron-right
200

OK

application/json

Model representing a webhook

Uidstring · uuidOptional

Unique id of webhook

Titlestring · nullableOptional

Title of webhook

Urlstring · nullableOptional

Url for the webhook to request when triggered

ActivebooleanOptional

Activate / deactivate webhook

EnabledEventsstring[] · nullableOptional

Events this webhook shall act on

get
/v1/webhooks/{uid}
200

OK

Delete a webhook

delete
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of webhook to delete

Responses
chevron-right
200

OK

No content

delete
/v1/webhooks/{uid}
200

OK

No content

Get all configured webhooks

get
Authorizations
AuthorizationstringRequired
Responses
chevron-right
200

OK

application/json

Model representing a webhook

Uidstring · uuidOptional

Unique id of webhook

Titlestring · nullableOptional

Title of webhook

Urlstring · nullableOptional

Url for the webhook to request when triggered

ActivebooleanOptional

Activate / deactivate webhook

EnabledEventsstring[] · nullableOptional

Events this webhook shall act on

get
/v1/webhooks
200

OK

Create a new webhook

post
Authorizations
AuthorizationstringRequired
Body

Model representing a webhook

Uidstring · uuidOptional

Unique id of webhook

Titlestring · nullableOptional

Title of webhook

Urlstring · nullableOptional

Url for the webhook to request when triggered

ActivebooleanOptional

Activate / deactivate webhook

EnabledEventsstring[] · nullableOptional

Events this webhook shall act on

Responses
chevron-right
200

OK

No content

post
/v1/webhooks
200

OK

No content

Update a webhook

put
Authorizations
AuthorizationstringRequired
Body

Model representing a webhook

Uidstring · uuidOptional

Unique id of webhook

Titlestring · nullableOptional

Title of webhook

Urlstring · nullableOptional

Url for the webhook to request when triggered

ActivebooleanOptional

Activate / deactivate webhook

EnabledEventsstring[] · nullableOptional

Events this webhook shall act on

Responses
chevron-right
200

OK

No content

put
/v1/webhooks
200

OK

No content

Get requests made from a webhook. Note that webhook requests are only stored for 14 days

get
Authorizations
AuthorizationstringRequired
Path parameters
webhookUidstring · uuidRequired

Uid of webhook

Query parameters
sincestring · date-timeOptional

return webhook requests newer than this timestamp

onlyFailedbooleanOptional

Only return failed webhook requests

pageinteger · int32Optional

Page to get (1 is first page)

Responses
chevron-right
200

OK

application/json

Model containing response from a webhook request search

Pageinteger · int32Optional

Page of the search request

TotalHitsinteger · int32Optional

Total number of hits in the search

get
/v1/webhooks/{webhookUid}/requests
200

OK

Get a specific request made from a webhook. Note that webhook requests are only stored for 14 days

get
Authorizations
AuthorizationstringRequired
Path parameters
webhookUidstring · uuidRequired

Uid of webhook

requestUidstring · uuidRequired

Uid of webhook request

Responses
chevron-right
200

OK

application/json

Model representing a webhook request

Uidstring · uuidOptional

Unique id of this webhook request (Passed in the X-Request-UID header of the request)

WebhookUidstring · uuidOptional

Unique id of the webhook that triggered the request (Passed in the X-Hook-UID header of the request)

WebhookUrlstring · nullableOptional

Url that was called

EventKeystring · nullableOptional

The key of the event that triggered the event (Passed in the X-Event-Key header of the request)

EventTimestampstring · date-timeOptional

Timestamp of the event that triggered the webhook request

RequestTimestampstring · date-timeOptional

Timestamp of when the webhook request was made

RequestBodystring · nullableOptional

The request body sent in the webhook request

ElapsedMillisecondsinteger · int64Optional

The time in ms it took to get a response from the recipient of the request

ResponseCodeinteger · int32Optional

The response code of the webhook request

ParentWebhookRequestUidstring · uuid · nullableOptional

Uid of parent webhook request (only has value, if this is a retry of a failed webhook request)

IsRetrybooleanRead-onlyOptional

Indicates whether this request is a retry of a previously failed request

get
/v1/webhooks/{webhookUid}/requests/{requestUid}
200

OK

Last updated